SSH-KEYGEN2(1)

NAME
ssh-keygen2 - authentication key pair generation

SYNOPSIS

ssh-keygen2 [-b bits ] [-t key_algorithm ] [ -c comment_string ] [ -e file ] [ -p passphrase ] [ -P ] [ -\? ] [ -h ] [ -q ] [ -1 file ] [ -i file ] [ -D file ] [ -B number ] [ -V ] [ -r file ] [ -x file ] [ -k file ] [ -7 file ] [ -F file ] [key1 key2 ...]

DESCRIPTION

ssh-keygen2 generates and manages authentication keys for ssh2(1). Normally each user wishing to use ssh2 with public-key authentication runs this to create authentication keys. Additionally, the system administrator may use this to generate host keys for sshd2(8).

OPTIONS

-b bits
    Number of key in bits (default 2048).

-t key_algorithm
    The algorithm used in key generation. DSA (Digital Signature Algorithm) and RSA are supported.

-c comment_string
    Specify the key's comment string.

-e file
    Edit the specified key. Makes ssh-keygen2 interactive. You can change the key's passphrase or comment.

-p passphrase
    Specify the passphrase used to protect the key.

-P  Specify that the key will be saved with an empty passphrase.

-h | -\?
    Print a short summary of ssh-keygen2 commands.

-q  Hide the progress indicator.

-1 file
    Convert key from ssh1 format to ssh2 format.

-i file
    Display (all) information about a key.

-D file
    Derive the public key from the private key file.

-B number
    The number base for displaying key information (default 10).

-V  Print version string and exit.

-r file
    Add entropy from file to the random pool $HOME/.ssh2/random_seed. If file contains 'relatively random' data (ie. data unpredictable by a potential attacker), the randomness of the pool is increased. Good randomness is essential for security of the generated keys.

-x file
    Converts a private key from X.509 format to SSH2 format. The converted key is written to file_ssh2. This feature is only available in commercial distributions with certificate support.

-k file
    Converts a PKCS 12 file to an SSH2 format private key and certificate pair. This feature is only available in commercial distributions with certificate support.

-7 file
    Exports certificate(s) from a PKCS 7 file. This feature is only available in commercial distributions with certificate support.

-F file
    Dump fingerprint of given public key. The fingerprint is given in the Bubble Babble format, which makes the fingerprint look like a string of "real" words (making it easier to remember).

FILES

$HOME/.ssh2/random_seed
    Used for seeding the random number generator. This file must not be readable by anyone but the user. This file is created the first time the program is run, and is updated every time the program is run.

$HOME/.ssh2/id_KEYTYPE_KEYLEN_X
    Private authentication keys.

$HOME/.ssh2/id_KEYTYPE_KEYLEN_X.pub
    Public authentication keys.

/usr/local/etc/ssh2/hostkey

/usr/local/etc/ssh2/hostkey.pub
    Private and public sshd2(8) host keys.

AUTHORS

SSH Communications Security Corp. For more information, see http://www.ssh.com.

SEE ALSO

ssh2(1), sshd2(8), ssh-agent2(1), ssh-add2(1)